<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: SmartcardLib/Include/sclib.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_e15ed7ab9f4e6a57642791fa2bbec424.html">SmartcardLib</a></li><li class="navelem"><a class="el" href="../../dir_bed5bb9e2a9504b1afad34bdac3bf33f.html">Include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">sclib.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Smartcard library header file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for sclib.h:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/d0a/sclib_8h__incl.png" border="0" usemap="#a_smartcard_lib_2_include_2sclib_8h" alt=""/></div>
</div>
</div>
<p><a href="../../d8/de4/sclib_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d00/struct_s_c_l_i_b___c_a_r_d___i_n_f_o___t.html">SCLIB_CARD_INFO_T</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">A structure holds smartcard information.  <a href="../../dc/d00/struct_s_c_l_i_b___c_a_r_d___i_n_f_o___t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gaa7f3f1bc4269ed63239302e94d200611"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa7f3f1bc4269ed63239302e94d200611">SCLIB_MAX_ATR_LEN</a>&#160;&#160;&#160;32</td></tr>
<tr class="memdesc:gaa7f3f1bc4269ed63239302e94d200611"><td class="mdescLeft">&#160;</td><td class="mdescRight">Max ATR length. ISO-7816 8.2.1.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa7f3f1bc4269ed63239302e94d200611">More...</a><br /></td></tr>
<tr class="separator:gaa7f3f1bc4269ed63239302e94d200611"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga57bd580a812baef95f8b8b1f2a6f1f50"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga57bd580a812baef95f8b8b1f2a6f1f50">SCLIB_MIN_ATR_LEN</a>&#160;&#160;&#160;2</td></tr>
<tr class="memdesc:ga57bd580a812baef95f8b8b1f2a6f1f50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Min ATR length, TS and T0.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga57bd580a812baef95f8b8b1f2a6f1f50">More...</a><br /></td></tr>
<tr class="separator:ga57bd580a812baef95f8b8b1f2a6f1f50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadbe10ef18194ec13c23bc4c790815a8a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadbe10ef18194ec13c23bc4c790815a8a">SCLIB_PROTOCOL_UNDEFINED</a>&#160;&#160;&#160;0x00000000</td></tr>
<tr class="memdesc:gadbe10ef18194ec13c23bc4c790815a8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">There is no active protocol.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadbe10ef18194ec13c23bc4c790815a8a">More...</a><br /></td></tr>
<tr class="separator:gadbe10ef18194ec13c23bc4c790815a8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga55cce06161110dc2a75423459dff8392"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga55cce06161110dc2a75423459dff8392">SCLIB_PROTOCOL_T0</a>&#160;&#160;&#160;0x00000001</td></tr>
<tr class="memdesc:ga55cce06161110dc2a75423459dff8392"><td class="mdescLeft">&#160;</td><td class="mdescRight">T=0 is the active protocol.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga55cce06161110dc2a75423459dff8392">More...</a><br /></td></tr>
<tr class="separator:ga55cce06161110dc2a75423459dff8392"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaceb47970d665912809b843c7adb9dd28"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaceb47970d665912809b843c7adb9dd28">SCLIB_PROTOCOL_T1</a>&#160;&#160;&#160;0x00000002</td></tr>
<tr class="memdesc:gaceb47970d665912809b843c7adb9dd28"><td class="mdescLeft">&#160;</td><td class="mdescRight">T=1 is the active protocol.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaceb47970d665912809b843c7adb9dd28">More...</a><br /></td></tr>
<tr class="separator:gaceb47970d665912809b843c7adb9dd28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1e8c28292b57e40be9c47ea24d1c859a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1e8c28292b57e40be9c47ea24d1c859a">SCLIB_SUCCESS</a>&#160;&#160;&#160;0x00000000</td></tr>
<tr class="memdesc:ga1e8c28292b57e40be9c47ea24d1c859a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Command successful without error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1e8c28292b57e40be9c47ea24d1c859a">More...</a><br /></td></tr>
<tr class="separator:ga1e8c28292b57e40be9c47ea24d1c859a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga302f3556a01142f7a45136e590c847bd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga302f3556a01142f7a45136e590c847bd">SCLIB_ERR_CARD_REMOVED</a>&#160;&#160;&#160;0x00000001</td></tr>
<tr class="memdesc:ga302f3556a01142f7a45136e590c847bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Smartcard removed.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga302f3556a01142f7a45136e590c847bd">More...</a><br /></td></tr>
<tr class="separator:ga302f3556a01142f7a45136e590c847bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gace6892d9fefd08a9c7045db7815735b7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gace6892d9fefd08a9c7045db7815735b7">SCLIB_ERR_OVER_RUN</a>&#160;&#160;&#160;0x00000002</td></tr>
<tr class="memdesc:gace6892d9fefd08a9c7045db7815735b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rx FIFO over run.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gace6892d9fefd08a9c7045db7815735b7">More...</a><br /></td></tr>
<tr class="separator:gace6892d9fefd08a9c7045db7815735b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafbff1367634fc4011023635c9ae3d84b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafbff1367634fc4011023635c9ae3d84b">SCLIB_ERR_PARITY_ERROR</a>&#160;&#160;&#160;0x00000003</td></tr>
<tr class="memdesc:gafbff1367634fc4011023635c9ae3d84b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tx/Rx parity error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafbff1367634fc4011023635c9ae3d84b">More...</a><br /></td></tr>
<tr class="separator:gafbff1367634fc4011023635c9ae3d84b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga674dfd7649de507e097c242cd675fd42"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga674dfd7649de507e097c242cd675fd42">SCLIB_ERR_NO_STOP</a>&#160;&#160;&#160;0x00000004</td></tr>
<tr class="memdesc:ga674dfd7649de507e097c242cd675fd42"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop bit not found.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga674dfd7649de507e097c242cd675fd42">More...</a><br /></td></tr>
<tr class="separator:ga674dfd7649de507e097c242cd675fd42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7d397a59ce7c63b46e4855ca4864df2e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7d397a59ce7c63b46e4855ca4864df2e">SCLIB_ERR_SILENT_BYTE</a>&#160;&#160;&#160;0x00000005</td></tr>
<tr class="memdesc:ga7d397a59ce7c63b46e4855ca4864df2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">I/O pin stay at low for longer than 1 character time.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7d397a59ce7c63b46e4855ca4864df2e">More...</a><br /></td></tr>
<tr class="separator:ga7d397a59ce7c63b46e4855ca4864df2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6a38f68eb5309928bbd9feb924337b5e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6a38f68eb5309928bbd9feb924337b5e">SCLIB_ERR_CMD</a>&#160;&#160;&#160;0x00000006</td></tr>
<tr class="memdesc:ga6a38f68eb5309928bbd9feb924337b5e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Command error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6a38f68eb5309928bbd9feb924337b5e">More...</a><br /></td></tr>
<tr class="separator:ga6a38f68eb5309928bbd9feb924337b5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga187bc2c3a236ab18012180a1731fe33e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga187bc2c3a236ab18012180a1731fe33e">SCLIB_ERR_UNSUPPORTEDCARD</a>&#160;&#160;&#160;0x00000007</td></tr>
<tr class="memdesc:ga187bc2c3a236ab18012180a1731fe33e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unsupported card.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga187bc2c3a236ab18012180a1731fe33e">More...</a><br /></td></tr>
<tr class="separator:ga187bc2c3a236ab18012180a1731fe33e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad9d39b1f92b89adb77a14a6492b3a758"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad9d39b1f92b89adb77a14a6492b3a758">SCLIB_ERR_READ</a>&#160;&#160;&#160;0x00000008</td></tr>
<tr class="memdesc:gad9d39b1f92b89adb77a14a6492b3a758"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad9d39b1f92b89adb77a14a6492b3a758">More...</a><br /></td></tr>
<tr class="separator:gad9d39b1f92b89adb77a14a6492b3a758"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga31fa921dfaa59bf7fc193804cdf57f83"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga31fa921dfaa59bf7fc193804cdf57f83">SCLIB_ERR_WRITE</a>&#160;&#160;&#160;0x00000009</td></tr>
<tr class="memdesc:ga31fa921dfaa59bf7fc193804cdf57f83"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga31fa921dfaa59bf7fc193804cdf57f83">More...</a><br /></td></tr>
<tr class="separator:ga31fa921dfaa59bf7fc193804cdf57f83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7bd9df6ec32bb3e7e0fa3fd672367eec"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7bd9df6ec32bb3e7e0fa3fd672367eec">SCLIB_ERR_TIME0OUT</a>&#160;&#160;&#160;0x0000000A</td></tr>
<tr class="memdesc:ga7bd9df6ec32bb3e7e0fa3fd672367eec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Smartcard timer 0 timeout.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7bd9df6ec32bb3e7e0fa3fd672367eec">More...</a><br /></td></tr>
<tr class="separator:ga7bd9df6ec32bb3e7e0fa3fd672367eec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadf4f29b6013a0cb4e9afa7ca10ee41c0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadf4f29b6013a0cb4e9afa7ca10ee41c0">SCLIB_ERR_TIME1OUT</a>&#160;&#160;&#160;0x0000000B</td></tr>
<tr class="memdesc:gadf4f29b6013a0cb4e9afa7ca10ee41c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Smartcard timer 1 timeout.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadf4f29b6013a0cb4e9afa7ca10ee41c0">More...</a><br /></td></tr>
<tr class="separator:gadf4f29b6013a0cb4e9afa7ca10ee41c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga93af5334f03354da71bc11bec6f5cd26"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga93af5334f03354da71bc11bec6f5cd26">SCLIB_ERR_TIME2OUT</a>&#160;&#160;&#160;0x0000000C</td></tr>
<tr class="memdesc:ga93af5334f03354da71bc11bec6f5cd26"><td class="mdescLeft">&#160;</td><td class="mdescRight">Smartcard timer 2 timeout.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga93af5334f03354da71bc11bec6f5cd26">More...</a><br /></td></tr>
<tr class="separator:ga93af5334f03354da71bc11bec6f5cd26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4c668910036474da42f7ac043182cb09"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4c668910036474da42f7ac043182cb09">SCLIB_ERR_AUTOCONVENTION</a>&#160;&#160;&#160;0x0000000D</td></tr>
<tr class="memdesc:ga4c668910036474da42f7ac043182cb09"><td class="mdescLeft">&#160;</td><td class="mdescRight">Smartcard is neither direct nor inverse convention.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4c668910036474da42f7ac043182cb09">More...</a><br /></td></tr>
<tr class="separator:ga4c668910036474da42f7ac043182cb09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5728870d0f41ac134b17e54ee3be4a3b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5728870d0f41ac134b17e54ee3be4a3b">SCLIB_ERR_CLOCK</a>&#160;&#160;&#160;0x0000000E</td></tr>
<tr class="memdesc:ga5728870d0f41ac134b17e54ee3be4a3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Smartcard clock frequency is not between 1MHz and 5 MHz.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5728870d0f41ac134b17e54ee3be4a3b">More...</a><br /></td></tr>
<tr class="separator:ga5728870d0f41ac134b17e54ee3be4a3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab2433aaf96c1274013c705a397a0b407"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab2433aaf96c1274013c705a397a0b407">SCLIB_ERR_BGTIMEOUT</a>&#160;&#160;&#160;0x0000000E</td></tr>
<tr class="memdesc:gab2433aaf96c1274013c705a397a0b407"><td class="mdescLeft">&#160;</td><td class="mdescRight">BGT time error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab2433aaf96c1274013c705a397a0b407">More...</a><br /></td></tr>
<tr class="separator:gab2433aaf96c1274013c705a397a0b407"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4e2bafa99c368ef33a0a910d2e4bfb8b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4e2bafa99c368ef33a0a910d2e4bfb8b">SCLIB_ERR_ATR_UNRECOGNIZED</a>&#160;&#160;&#160;0x00001001</td></tr>
<tr class="memdesc:ga4e2bafa99c368ef33a0a910d2e4bfb8b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unrecognised ATR.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4e2bafa99c368ef33a0a910d2e4bfb8b">More...</a><br /></td></tr>
<tr class="separator:ga4e2bafa99c368ef33a0a910d2e4bfb8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gade3a6b36834055755243314987b5b470"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gade3a6b36834055755243314987b5b470">SCLIB_ERR_ATR_INVALID_PARAM</a>&#160;&#160;&#160;0x00001002</td></tr>
<tr class="memdesc:gade3a6b36834055755243314987b5b470"><td class="mdescLeft">&#160;</td><td class="mdescRight">ATR parsing interface bytes error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gade3a6b36834055755243314987b5b470">More...</a><br /></td></tr>
<tr class="separator:gade3a6b36834055755243314987b5b470"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabfc03c21411cefb4a69f63aa6fed2575"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabfc03c21411cefb4a69f63aa6fed2575">SCLIB_ERR_ATR_INVALID_TCK</a>&#160;&#160;&#160;0x00001003</td></tr>
<tr class="memdesc:gabfc03c21411cefb4a69f63aa6fed2575"><td class="mdescLeft">&#160;</td><td class="mdescRight">TCK check byte error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabfc03c21411cefb4a69f63aa6fed2575">More...</a><br /></td></tr>
<tr class="separator:gabfc03c21411cefb4a69f63aa6fed2575"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga22293d9ca047ba1351e6fe6c8ce8118a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22293d9ca047ba1351e6fe6c8ce8118a">SCLIB_ERR_PPS</a>&#160;&#160;&#160;0x00001004</td></tr>
<tr class="memdesc:ga22293d9ca047ba1351e6fe6c8ce8118a"><td class="mdescLeft">&#160;</td><td class="mdescRight">PPS echange error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22293d9ca047ba1351e6fe6c8ce8118a">More...</a><br /></td></tr>
<tr class="separator:ga22293d9ca047ba1351e6fe6c8ce8118a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3e873697fcb1c45b2bd6121817a0d37d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3e873697fcb1c45b2bd6121817a0d37d">SCLIB_ERR_T1_PARITY</a>&#160;&#160;&#160;0x00002001</td></tr>
<tr class="memdesc:ga3e873697fcb1c45b2bd6121817a0d37d"><td class="mdescLeft">&#160;</td><td class="mdescRight">T=1 Parity Error Notice.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3e873697fcb1c45b2bd6121817a0d37d">More...</a><br /></td></tr>
<tr class="separator:ga3e873697fcb1c45b2bd6121817a0d37d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2b7ce484ab936ef92f937f562e56b755"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2b7ce484ab936ef92f937f562e56b755">SCLIB_ERR_T1_ICC</a>&#160;&#160;&#160;0x00002002</td></tr>
<tr class="memdesc:ga2b7ce484ab936ef92f937f562e56b755"><td class="mdescLeft">&#160;</td><td class="mdescRight">ICC communication error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2b7ce484ab936ef92f937f562e56b755">More...</a><br /></td></tr>
<tr class="separator:ga2b7ce484ab936ef92f937f562e56b755"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab4b5db469ac7463627881fa391b66d67"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab4b5db469ac7463627881fa391b66d67">SCLIB_ERR_T1_PROTOCOL</a>&#160;&#160;&#160;0x00002003</td></tr>
<tr class="memdesc:gab4b5db469ac7463627881fa391b66d67"><td class="mdescLeft">&#160;</td><td class="mdescRight">T=1 Protocol Error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab4b5db469ac7463627881fa391b66d67">More...</a><br /></td></tr>
<tr class="separator:gab4b5db469ac7463627881fa391b66d67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga68353dc425c5e4be4211d57627f6c037"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga68353dc425c5e4be4211d57627f6c037">SCLIB_ERR_T1_ABORT_RECEIVED</a>&#160;&#160;&#160;0x00002004</td></tr>
<tr class="memdesc:ga68353dc425c5e4be4211d57627f6c037"><td class="mdescLeft">&#160;</td><td class="mdescRight">Received ABORT request.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga68353dc425c5e4be4211d57627f6c037">More...</a><br /></td></tr>
<tr class="separator:ga68353dc425c5e4be4211d57627f6c037"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7665106c623963f47ca029f6a5e39840"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7665106c623963f47ca029f6a5e39840">SCLIB_ERR_T1_RESYNCH_RECEIVED</a>&#160;&#160;&#160;0x00002005</td></tr>
<tr class="memdesc:ga7665106c623963f47ca029f6a5e39840"><td class="mdescLeft">&#160;</td><td class="mdescRight">Received RESYNCH request.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7665106c623963f47ca029f6a5e39840">More...</a><br /></td></tr>
<tr class="separator:ga7665106c623963f47ca029f6a5e39840"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga95a9f2b0f51e17b5f6035ba70190bef9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga95a9f2b0f51e17b5f6035ba70190bef9">SCLIB_ERR_T1_VPP_ERROR_RECEIVED</a>&#160;&#160;&#160;0x00002006</td></tr>
<tr class="memdesc:ga95a9f2b0f51e17b5f6035ba70190bef9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Received VPP error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga95a9f2b0f51e17b5f6035ba70190bef9">More...</a><br /></td></tr>
<tr class="separator:ga95a9f2b0f51e17b5f6035ba70190bef9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab5012901029b5aa9c83fff5eb7f4c99e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab5012901029b5aa9c83fff5eb7f4c99e">SCLIB_ERR_T1_WTXRES_RECEIVED</a>&#160;&#160;&#160;0x00002007</td></tr>
<tr class="memdesc:gab5012901029b5aa9c83fff5eb7f4c99e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Received BWT extension request.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab5012901029b5aa9c83fff5eb7f4c99e">More...</a><br /></td></tr>
<tr class="separator:gab5012901029b5aa9c83fff5eb7f4c99e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaffa2352af84baf4fd5c649da1d909715"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaffa2352af84baf4fd5c649da1d909715">SCLIB_ERR_T1_IFSRES_RECEIVED</a>&#160;&#160;&#160;0x00002008</td></tr>
<tr class="memdesc:gaffa2352af84baf4fd5c649da1d909715"><td class="mdescLeft">&#160;</td><td class="mdescRight">Received max IFS offer.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaffa2352af84baf4fd5c649da1d909715">More...</a><br /></td></tr>
<tr class="separator:gaffa2352af84baf4fd5c649da1d909715"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga96f4f3f8a5d00783aaa1aab0f19865fd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga96f4f3f8a5d00783aaa1aab0f19865fd">SCLIB_ERR_T1_ABORTRES_RECEIVED</a>&#160;&#160;&#160;0x00002009</td></tr>
<tr class="memdesc:ga96f4f3f8a5d00783aaa1aab0f19865fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Received ABORT response.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga96f4f3f8a5d00783aaa1aab0f19865fd">More...</a><br /></td></tr>
<tr class="separator:ga96f4f3f8a5d00783aaa1aab0f19865fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae821db79e10082567f7db3eb66a25599"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae821db79e10082567f7db3eb66a25599">SCLIB_ERR_T1_CHECKSUM</a>&#160;&#160;&#160;0x0000200A</td></tr>
<tr class="memdesc:gae821db79e10082567f7db3eb66a25599"><td class="mdescLeft">&#160;</td><td class="mdescRight">T=1 block check sum error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae821db79e10082567f7db3eb66a25599">More...</a><br /></td></tr>
<tr class="separator:gae821db79e10082567f7db3eb66a25599"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf5ad42fcccce6c466114c159b461a566"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf5ad42fcccce6c466114c159b461a566">SCLIB_ERR_T0_PROTOCOL</a>&#160;&#160;&#160;0x00003003</td></tr>
<tr class="memdesc:gaf5ad42fcccce6c466114c159b461a566"><td class="mdescLeft">&#160;</td><td class="mdescRight">T=0 Protocol Error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf5ad42fcccce6c466114c159b461a566">More...</a><br /></td></tr>
<tr class="separator:gaf5ad42fcccce6c466114c159b461a566"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf41d4c2aa0878084f67774cd0617332e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf41d4c2aa0878084f67774cd0617332e">SCLIB_ERR_DEACTIVE</a>&#160;&#160;&#160;0x0000F001</td></tr>
<tr class="memdesc:gaf41d4c2aa0878084f67774cd0617332e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Smartcard is de-active.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf41d4c2aa0878084f67774cd0617332e">More...</a><br /></td></tr>
<tr class="separator:gaf41d4c2aa0878084f67774cd0617332e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2cba16267a90f6cfda42b179fa221afe"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2cba16267a90f6cfda42b179fa221afe">SCLIB_ERR_CARDBUSY</a>&#160;&#160;&#160;0x0000F002</td></tr>
<tr class="memdesc:ga2cba16267a90f6cfda42b179fa221afe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Smartcard is busy, previous transmission is not complete yet.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2cba16267a90f6cfda42b179fa221afe">More...</a><br /></td></tr>
<tr class="separator:ga2cba16267a90f6cfda42b179fa221afe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gabb70ec55d6f58ee4286fc3272b9f7a4b"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabb70ec55d6f58ee4286fc3272b9f7a4b">SCLIB_Activate</a> (uint32_t num, uint32_t u32EMVCheck)</td></tr>
<tr class="memdesc:gabb70ec55d6f58ee4286fc3272b9f7a4b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Activate a smartcard.  <a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabb70ec55d6f58ee4286fc3272b9f7a4b">More...</a><br /></td></tr>
<tr class="separator:gabb70ec55d6f58ee4286fc3272b9f7a4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7c6f434ac0e08d9a2a4c25e42e9d91cc"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c6f434ac0e08d9a2a4c25e42e9d91cc">SCLIB_ActivateDelay</a> (uint32_t num, uint32_t u32EMVCheck, uint32_t u32Delay)</td></tr>
<tr class="memdesc:ga7c6f434ac0e08d9a2a4c25e42e9d91cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Activate a smartcard with large delay between set VCC high and start CLK output.  <a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c6f434ac0e08d9a2a4c25e42e9d91cc">More...</a><br /></td></tr>
<tr class="separator:ga7c6f434ac0e08d9a2a4c25e42e9d91cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae308ef6ac6809fd3cf8535f617ba280c"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae308ef6ac6809fd3cf8535f617ba280c">SCLIB_ColdReset</a> (uint32_t num)</td></tr>
<tr class="memdesc:gae308ef6ac6809fd3cf8535f617ba280c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cold reset a smartcard.  <a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae308ef6ac6809fd3cf8535f617ba280c">More...</a><br /></td></tr>
<tr class="separator:gae308ef6ac6809fd3cf8535f617ba280c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadd3bacc5128a7ce612a6781f7f44d49c"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd3bacc5128a7ce612a6781f7f44d49c">SCLIB_WarmReset</a> (uint32_t num)</td></tr>
<tr class="memdesc:gadd3bacc5128a7ce612a6781f7f44d49c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Warm reset a smartcard.  <a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd3bacc5128a7ce612a6781f7f44d49c">More...</a><br /></td></tr>
<tr class="separator:gadd3bacc5128a7ce612a6781f7f44d49c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa04a140bba7b6392d9ca01833d74f8b6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa04a140bba7b6392d9ca01833d74f8b6">SCLIB_Deactivate</a> (uint32_t num)</td></tr>
<tr class="memdesc:gaa04a140bba7b6392d9ca01833d74f8b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Deactivate a smartcard.  <a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa04a140bba7b6392d9ca01833d74f8b6">More...</a><br /></td></tr>
<tr class="separator:gaa04a140bba7b6392d9ca01833d74f8b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac7143f2e0b766a7be1884020ef5798ce"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac7143f2e0b766a7be1884020ef5798ce">SCLIB_GetCardInfo</a> (uint32_t num, <a class="el" href="../../dc/d00/struct_s_c_l_i_b___c_a_r_d___i_n_f_o___t.html">SCLIB_CARD_INFO_T</a> *s_info)</td></tr>
<tr class="memdesc:gac7143f2e0b766a7be1884020ef5798ce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the card information (e.g., protocol selected, ATR...) after activation success.  <a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac7143f2e0b766a7be1884020ef5798ce">More...</a><br /></td></tr>
<tr class="separator:gac7143f2e0b766a7be1884020ef5798ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad36d1c312fd93f25445a44a6f1b9363d"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad36d1c312fd93f25445a44a6f1b9363d">SCLIB_StartTransmission</a> (uint32_t num, uint8_t *cmdBuf, uint32_t cmdLen, uint8_t *rspBuf, uint32_t *rspLen)</td></tr>
<tr class="memdesc:gad36d1c312fd93f25445a44a6f1b9363d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start a smartcard transmission.  <a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad36d1c312fd93f25445a44a6f1b9363d">More...</a><br /></td></tr>
<tr class="separator:gad36d1c312fd93f25445a44a6f1b9363d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1586bc952411d6a6b162acabc1db94a6"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1586bc952411d6a6b162acabc1db94a6">SCLIB_SetIFSD</a> (uint32_t num, uint8_t size)</td></tr>
<tr class="memdesc:ga1586bc952411d6a6b162acabc1db94a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set interface device max information field size (IFSD)  <a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1586bc952411d6a6b162acabc1db94a6">More...</a><br /></td></tr>
<tr class="separator:ga1586bc952411d6a6b162acabc1db94a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf94add8ada1485e9cedbf027acebfa00"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf94add8ada1485e9cedbf027acebfa00">__attribute__</a> ((weak)) void SCLIB_RequestTimeExtension(uint32_t u32Protocol)</td></tr>
<tr class="memdesc:gaf94add8ada1485e9cedbf027acebfa00"><td class="mdescLeft">&#160;</td><td class="mdescRight">A callback called by library while smartcard request for a time extension.  <a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf94add8ada1485e9cedbf027acebfa00">More...</a><br /></td></tr>
<tr class="separator:gaf94add8ada1485e9cedbf027acebfa00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga550d72b74b7c55e903ff74fabd8c7019"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga550d72b74b7c55e903ff74fabd8c7019">SCLIB_CheckCDEvent</a> (uint32_t num)</td></tr>
<tr class="memdesc:ga550d72b74b7c55e903ff74fabd8c7019"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process card detect event in IRQ handler.  <a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga550d72b74b7c55e903ff74fabd8c7019">More...</a><br /></td></tr>
<tr class="separator:ga550d72b74b7c55e903ff74fabd8c7019"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf833db82065ae92a02d10cd51eeac446"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf833db82065ae92a02d10cd51eeac446">SCLIB_CheckTimeOutEvent</a> (uint32_t num)</td></tr>
<tr class="memdesc:gaf833db82065ae92a02d10cd51eeac446"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process time out event in IRQ handler.  <a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf833db82065ae92a02d10cd51eeac446">More...</a><br /></td></tr>
<tr class="separator:gaf833db82065ae92a02d10cd51eeac446"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadc614ae52055d0af1ecbd9416976c276"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadc614ae52055d0af1ecbd9416976c276">SCLIB_CheckTxRxEvent</a> (uint32_t num)</td></tr>
<tr class="memdesc:gadc614ae52055d0af1ecbd9416976c276"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process card transmission event in IRQ handler.  <a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadc614ae52055d0af1ecbd9416976c276">More...</a><br /></td></tr>
<tr class="separator:gadc614ae52055d0af1ecbd9416976c276"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga36ecb4214440705a023114a3a1b9a6fc"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga36ecb4214440705a023114a3a1b9a6fc">SCLIB_CheckErrorEvent</a> (uint32_t num)</td></tr>
<tr class="memdesc:ga36ecb4214440705a023114a3a1b9a6fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process error event in IRQ handler.  <a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga36ecb4214440705a023114a3a1b9a6fc">More...</a><br /></td></tr>
<tr class="separator:ga36ecb4214440705a023114a3a1b9a6fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Smartcard library header file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>5 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/05/14 5:11p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2018 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
